> ## Documentation Index
> Fetch the complete documentation index at: https://developer.dromo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete SFTP credentials



## OpenAPI

````yaml /api-reference/openapi.json delete /headless/sftp/credentials/{id}/
openapi: 3.1.0
info:
  title: Dromo
  description: >-
    Dromo's APIs provide convenient programmatic access to your uploads and
    schemas. You can use them to create powerful automated workflows.
  termsOfService: https://dromo.io/legal/terms
  contact:
    name: Dromo
    email: contact@dromo.io
  version: '1.0'
servers:
  - url: https://app.dromo.io/api/v1
security:
  - api_key: []
tags:
  - name: uploads
    description: Viewing completed imports
  - name: import-schemas
    description: Creating and viewing import schemas
  - name: headless
    description: Creating and viewing headless imports
  - name: sftp-credentials
    description: Managing SFTP server credentials
  - name: sftp-connectors
    description: Managing SFTP automated import connectors
paths:
  /headless/sftp/credentials/{id}/:
    delete:
      tags:
        - sftp-credentials
      summary: Delete SFTP credentials
      operationId: deleteSftpCredentials
      parameters:
        - name: id
          in: path
          description: SFTP credentials ID
          required: true
          schema:
            type: string
            format: uuid
            example: ee5d0e45-b098-47bc-8217-e93790243dfa
      responses:
        '204':
          description: SFTP credentials deleted
        '404':
          description: Not found
components:
  securitySchemes:
    api_key:
      type: apiKey
      name: X-Dromo-License-Key
      in: header
      description: >-
        This backend API key is different than your frontend license key. Please
        use the "Backend" license key from your [Dromo
        Dashboard](https://dashboard.dromo.io/).

````